package com.ibm.oti.shared;

/*
 * Licensed Materials - Property of IBM,
 *     Copyright IBM Corp. 1998, 2010  All Rights Reserved
 */

/**
 * Class providing static functions which report basic cache statistics.
 * <p>
 * @author		OTI
 * @version		initial
 */
public class SharedClassStatistics {

	/**
	 * Returns the total size in bytes of the cache that the JVM is currently connected to
	 * <p>
	 * @author		OTI
	 * @version		initial
	 */
	public static long maxSizeBytes() {
		return maxSizeBytesImpl();
	}

	/**
	 * Returns the free space in bytes of the cache that the JVM is currently connected to
	 * <p>
	 * @author		OTI
	 * @version		initial
	 */
	public static long freeSpaceBytes() {
		return freeSpaceBytesImpl();
	}

	private static native long maxSizeBytesImpl();

	private static native long freeSpaceBytesImpl();
}
